Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.quant.indicators
Class ProcessIndicators

    java.lang.Object
      org.encog.app.analyst.csv.basic.BasicFile
          org.encog.app.analyst.csv.basic.BasicCachedFile
              org.encog.app.quant.indicators.ProcessIndicators

All Implemented Interfaces:
  QuantTask

    public class ProcessIndicators

extends BasicCachedFile

Process indicators and generate output.

Field Summary

Fields inherited from class org.encog.app.analyst.csv.basic.BasicFile
`REPORT_INTERVAL`

Constructor Summary
`ProcessIndicators()`

Method Summary
`void` | `process(File output)` Process and write the specified output file.
`void` | `renameColumn(int index, String newName)` Rename a column.

Methods inherited from class org.encog.app.analyst.csv.basic.BasicCachedFile
`addColumn, analyze, getColumnData, getColumnMapping, getColumns`

Methods inherited from class org.encog.app.analyst.csv.basic.BasicFile
`appendSeparator, getColumnCount, getInputFilename, getInputFormat, getInputHeadings, getOutputFormat, getPrecision, getRecordCount, getReport, getReportInterval, getScript, isAnalyzed, isExpectInputHeaders, isProduceOutputHeaders, performBasicCounts, prepareOutputFile, readHeaders, reportDone, reportDone, requestStop, resetStatus, setAnalyzed, setColumnCount, setExpectInputHeaders, setInputFilename, setInputFormat, setInputHeadings, setOutputFormat, setPrecision, setProduceOutputHeaders, setRecordCount, setReport, setReportInterval, setScript, shouldStop, toString, updateStatus, updateStatus, validateAnalyzed, writeRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcessIndicators

    public ProcessIndicators()

Method Detail

### process

    public final void process(File output)

  Process and write the specified output file.

  Parameters:
    `output` - The output file.

### renameColumn

    public final void renameColumn(int index,
                                   String newName)

  Rename a column.

  Parameters:
    `index` - The column index.
    `newName` - The new name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.